<?php

ECHO "<div class='navi'>";
ECHO "<a href='?'>".ICONS('home', 25)."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='?path=site'>".LG('Настройки сайта')."</a> ";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='?path=site&section=modules'>".LG('Управление модулями')."</a> ";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('Подарки')."";
ECHO "</div>";

/*
-----------------------
Редактирование подарков
-----------------------
*/

IF (GET('edit_gift') && DB::GET_COLUMN("SELECT COUNT(*) FROM `GIFTS` WHERE `ID` = '".INTVAL(GET('edit_gift'))."' LIMIT 1") == 1){
  
  $gift = DB::GET_STRING("SELECT * FROM `GIFTS` WHERE `ID` = '".INTVAL(GET('edit_gift'))."' LIMIT 1");
  $dir = DB::GET_STRING("SELECT * FROM `GIFTS_DIR` WHERE `ID` = '".$gift['ID_DIR']."' LIMIT 1");
  
  IF (POST('ok')){
    
    $err_data = 0;
    
    $name = ADSL(POST('name'));
    $sum = INTVAL(POST('sum'));
    $dir = ADSL(POST('id_dir'));
    
    IF (STR($name) < 1){
      
      ERROR('Имя не может быть меньше 1 символа', 'session');
      $err_data = 1;
      
    }
    
    IF (STR($name) > 100){
      
      ERROR('Имя не может быть больше 100 символов', 'session');
      $err_data = 1;
      
    }
    
    IF ($err_data == 1){     
      
      REDIRECT('?path=site&section=modules&mod=gifts&edit_gift='.$gift['ID'].'');
    
    }
    
    DB::GET_SET("UPDATE `GIFTS` SET `NAME` = '".$name."', `ID_DIR` = '".$dir."', `SUM` = '".$sum."' WHERE `ID` = '".$gift['ID']."' LIMIT 1");
    
    SUCCESS('Изменения успешно приняты', 'session');
    REDIRECT('?path=site&section=modules&mod=gifts&id_dir='.$dir['ID'].'');
    
  }
  
  ECHO "<div class='fon'>";
  
  ECHO "<form method='post'>";
  
  HTML::INPUT('name', NULL, 'Название подарка', NULL, TEXT_ABSOLUTE($gift['NAME']), 'form-control-50');
  
  HTML::INPUT('sum', NULL, 'Цена подарка', NULL, $gift['SUM'], 'form-control-30');
  
  $data = DB::GET_STRING_ALL("SELECT * FROM `GIFTS_DIR` ORDER BY `ID` DESC");
  
  ECHO "<select name='id_dir' class='form-control-select'>";
  
  WHILE ($list = $data->FETCH()){
    
    ECHO "<option value='".$list['ID']."' ".($gift['ID_DIR'] == $list['ID']?' selected="selected"':NULL)."> ".TEXT_ABSOLUTE($list['NAME'])."</option>";
  
  }
  
  ECHO "</select><br /><br />";
  
  HTML::BUTTON('panel-button2', 'ok', 'save', 'Сохранить изменения');
  
  ECHO "</form>";
  
  ECHO "</div>";
  
  ECHO "<a href='?path=site&section=modules&mod=gifts'><div class='fon'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</div></a>";
  
  REQUIRE (ROOT.'/style/panel/include/footer.php'); 
  EXIT;
  
}

/*
-----------------
Удаление подарков
-----------------
*/

IF (GET('delete_gift') && DB::GET_COLUMN("SELECT COUNT(*) FROM `GIFTS` WHERE `ID` = '".INTVAL(GET('delete_gift'))."' LIMIT 1") == 1){
  
  $gift = DB::GET_STRING("SELECT * FROM `GIFTS` WHERE `ID` = '".INTVAL(GET('delete_gift'))."' LIMIT 1");
  $dir = DB::GET_STRING("SELECT * FROM `GIFTS_DIR` WHERE `ID` = '".$gift['ID_DIR']."' LIMIT 1");
  
  @UNLINK(ROOT.'/files/upload/gifts/'.$gift['ID'].'.'.$gift['EXT'].'');
  
  DB::GET_SET("DELETE FROM `GIFTS` WHERE `ID` = '".$gift['ID']."' LIMIT 1");
  
  SUCCESS('Удаление прошло успешно', 'session');  
  REDIRECT('/panel/?path=site&section=modules&mod=gifts&id_dir='.$dir['ID'].'');
  
}

/*
--------------------------------
Список подарков и управление ими
--------------------------------
*/

IF (GET('id_dir') && DB::GET_COLUMN("SELECT COUNT(*) FROM `GIFTS_DIR` WHERE `ID` = '".INTVAL(GET('id_dir'))."' LIMIT 1") == 1){
  
  $dir = DB::GET_STRING("SELECT * FROM `GIFTS_DIR` WHERE `ID` = '".INTVAL(GET('id_dir'))."' LIMIT 1");
  
  ECHO "<div class='fon'>";
  
  ECHO "<form method='post' id='js-form' method='post' enctype='multipart/form-data'>";
  
  HTML::INPUT('name', 'Имя подарка', NULL, NULL, NULL, 'form-control-50');
  
  HTML::INPUT('sum', 'Цена подарка', NULL, NULL, NULL, 'form-control-30');
  
  IF (CONFIG('CSRF') == 1){
    
    ECHO '<input type="hidden" name="'.$token_id.'" value="'.$token_value.'">';
  
  }
  
  FILE::UPLOAD('/files/receiver/gifts.php?id_dir='.$dir['ID'].'', 'Загрузить', 0);
  
  ECHO "</form>";
  
  ECHO "</div>";
  
  ECHO "<div id='gifts_upgrade'>";
  
  $column = DB::GET_COLUMN("SELECT COUNT(*) FROM `GIFTS` WHERE `ID_DIR` = '".$dir['ID']."'");
  $spage = SPAGE($column, $page_settings);
  $page = PAGE($spage);
  $limit = $page_settings * $page - $page_settings;
  
  ECHO "<div class='fon2'>";
  
  ECHO "<div class='list-title'><b>".TEXT_ABSOLUTE($dir['NAME']).": ".LG('Список подарков')." <span class='count2'>".$column."</span></b></div>";
  
  IF ($column == 0){ 
    
    HTML::EMPTY();
  
  }
  
  $data = DB::GET_STRING_ALL("SELECT * FROM `GIFTS` WHERE `ID_DIR` = '".$dir['ID']."' ORDER BY `ID` DESC LIMIT ".$limit.", ".$page_settings."");
  
  WHILE ($list = $data->FETCH()){
    
    ECHO "<div class='list'>";
    
    ECHO "<img src='/files/upload/gifts/".$list['ID'].".".$list['EXT']."'><br />";
    
    ECHO "".TEXT_ABSOLUTE($list['NAME'])."<br /><br />";
    
    ECHO "".LG('Цена').": ".MONEY($list['SUM'], CONFIG('MONEY'), 3)."";
    
    ECHO "<br /><br />";
    
    ECHO "<a href='/panel/?path=site&section=modules&mod=gifts&edit_gift=".$list['ID']."' class='panel-button'>".ICONS('pencil', 15, 'fa-fw')." ".LG('Редактировать')."</a> ";
    ECHO "<a href='/panel/?path=site&section=modules&mod=gifts&delete_gift=".$list['ID']."' class='panel-button'>".ICONS('trash', 15, 'fa-fw')." ".LG('Удалить')."</a>";
    
    ECHO "</div>";
  
  }
  
  ECHO "</div>";
  
  IF ($spage > 1){ ECHO "<div class='list-body'>"; ECHO STR_PAGE('/panel/?path=site&section=modules&mod=gifts&id_dir='.$dir['ID'].'&', $spage, $page); ECHO "</div>"; }
  
  ECHO "</div>";
  
  ECHO "<a href='?path=site&section=modules&mod=gifts'><div class='fon'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</div></a>";
  
  REQUIRE (ROOT.'/style/panel/include/footer.php'); 
  EXIT;
  
}

/*
-------------------------
Добавление нового раздела
-------------------------
*/

IF (GET('get') == "add_dir"){
  
  IF (POST('ok')){
    
    $err_data = 0;
    
    $name = ADSL(POST('name'));
    
    IF (STR($name) < 1){
      
      ERROR('Имя не может быть меньше 1 символа', 'session');
      $err_data = 1;
      
    }
    
    IF (STR($name) > 100){
      
      ERROR('Имя не может быть больше 100 символов', 'session');
      $err_data = 1;
      
    }
    
    IF ($err_data == 1){     
      
      REDIRECT('?path=site&section=modules&mod=gifts&get=add_dir');
    
    }
    
    DB::GET_ADD("INSERT INTO `GIFTS_DIR` (`NAME`) VALUES ('".$name."')"); 
    
    SUCCESS('Раздел успешно добавлен', 'session');
    REDIRECT('?path=site&section=modules&mod=gifts');
    
  }
  
  ECHO "<div class='fon'>";
  
  ECHO "<form method='post'>";
  
  HTML::INPUT('name', NULL, 'Введите название:', NULL, NULL);
  
  HTML::BUTTON('panel-button2', 'ok', 'plus', 'Добавить');
  
  ECHO "</form>";
  
  ECHO "</div>";
  
  ECHO "<a href='?path=site&section=modules&mod=gifts'><div class='fon'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</div></a>";
  
  REQUIRE (ROOT.'/style/panel/include/footer.php'); 
  EXIT;
  
}

/*
----------------------
Редактирование раздела
----------------------
*/

IF (GET('edit_dir') && DB::GET_COLUMN("SELECT COUNT(*) FROM `GIFTS_DIR` WHERE `ID` = '".INTVAL(GET('edit_dir'))."' LIMIT 1") == 1){
  
  $dir = DB::GET_STRING("SELECT * FROM `GIFTS_DIR` WHERE `ID` = '".INTVAL(GET('edit_dir'))."' LIMIT 1");
  
  IF (POST('ok')){
    
    $err_data = 0;
    
    $name = ADSL(POST('name'));
    
    IF (STR($name) < 1){
      
      ERROR('Имя не может быть меньше 1 символа', 'session');
      $err_data = 1;
      
    }
    
    IF (STR($name) > 100){
      
      ERROR('Имя не может быть больше 100 символов', 'session');
      $err_data = 1;
      
    }
    
    IF ($err_data == 1){     
      
      REDIRECT('?path=site&section=modules&mod=gifts&edit_dir='.$dir['ID'].'');
    
    }
    
    DB::GET_SET("UPDATE `GIFTS_DIR` SET `NAME` = '".$name."' WHERE `ID` = '".$dir['ID']."' LIMIT 1");
    
    SUCCESS('Изменения успешно приняты', 'session');
    REDIRECT('?path=site&section=modules&mod=gifts');
    
  }
  
  ECHO "<div class='fon'>";
  
  ECHO "<form method='post'>";
  
  HTML::INPUT('name', NULL, 'Введите название:', NULL, TEXT_ABSOLUTE($dir['NAME']));
  
  HTML::BUTTON('panel-button2', 'ok', 'save', 'Сохранить изменения');
  
  ECHO "</form>";
  
  ECHO "</div>";
  
  ECHO "<a href='?path=site&section=modules&mod=smiles'><div class='fon'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</div></a>";
  
  REQUIRE (ROOT.'/style/panel/include/footer.php'); 
  EXIT;
  
}

/*
----------------
Удаление раздела
----------------
*/

IF (GET('delete_dir') && DB::GET_COLUMN("SELECT COUNT(*) FROM `GIFTS_DIR` WHERE `ID` = '".INTVAL(GET('delete_dir'))."' LIMIT 1") == 1){
  
  $dir = DB::GET_STRING("SELECT * FROM `GIFTS_DIR` WHERE `ID` = '".INTVAL(GET('delete_dir'))."' LIMIT 1");
  
  $data = DB::GET_STRING_ALL("SELECT * FROM `GIFTS` WHERE `ID_DIR` = '".$dir['ID']."'");
  
  WHILE ($list = $data->FETCH()){
    
    @UNLINK(ROOT.'/files/upload/gifts/'.$list['ID'].'.'.$list['EXT'].'');
    
    DB::GET_SET("DELETE FROM `GIFTS` WHERE `ID` = '".$list['ID']."' LIMIT 1");
    
  }
  
  DB::GET_SET("DELETE FROM `GIFTS_DIR` WHERE `ID` = '".$dir['ID']."' LIMIT 1");
  
  SUCCESS('Удаление прошло успешно', 'session');  
  REDIRECT('/panel/?path=site&section=modules&mod=gifts');
  
}

/*
---------------
Список разделов
---------------
*/

ECHO "<div class='fon'>";

ECHO "<a href='?path=site&section=modules&mod=gifts&get=add_dir' class='panel-button2'>".ICONS('plus', 15, 'fa-fw')." ".LG('Добавить раздел')."</a>";

ECHO "</div>";

$count = DB::GET_COLUMN("SELECT COUNT(*) FROM `GIFTS_DIR`");

ECHO "<div class='fon2'>";

ECHO "<div class='list-title'><b>".LG('Список разделов')." <span class='count2'>$count</span></b></div>";

IF ($count == 0){ 
  
  HTML::EMPTY();
  
}

$data = DB::GET_STRING_ALL("SELECT * FROM `GIFTS_DIR` ORDER BY `ID` DESC");

WHILE ($list = $data->FETCH()){
  
  $count = DB::GET_COLUMN("SELECT COUNT(*) FROM `GIFTS` WHERE `ID_DIR` = '".$list['ID']."'");
  
  ECHO "<div class='list'>";
  
  ECHO "<a href='/panel/?path=site&section=modules&mod=gifts&id_dir=".$list['ID']."'>".TEXT_ABSOLUTE($list['NAME'])." <span class='count'>".$count."</span></a>";
  
  ECHO "<br /><br />";
  
  ECHO "<a href='/panel/?path=site&section=modules&mod=gifts&id_dir=".$list['ID']."' class='panel-button'>".ICONS('bars', 15, 'fa-fw')." ".LG('Список подарков')."</a> ";
  
  ECHO "<a href='/panel/?path=site&section=modules&mod=gifts&edit_dir=".$list['ID']."' class='panel-button'>".ICONS('pencil', 15, 'fa-fw')." ".LG('Редактировать')."</a> ";
  
  ECHO "<a href='/panel/?path=site&section=modules&mod=gifts&delete_dir=".$list['ID']."' class='panel-button'>".ICONS('trash', 15, 'fa-fw')." ".LG('Удалить')."</a>";
  
  ECHO "</div>";
  
}

ECHO "</div>";  
  
?>